/*!	
	@file
	@brief	ゲーム側から使うテクスチャ
*/

#ifndef CTextureModel_h
#define CTextureModel_h


#include"../Setup/CompileMode.h"


namespace Maid
{
	class CTextureModel : public CTexture
	{
	public:
		CTextureModel(){}
		CTextureModel( const mstring& id, const SIZE2DI& s, PIXELFORMAT fmt )
			:ID(id), Size(s), Format(fmt){}

		virtual SIZE2DI		GetSize()const { return Size; }
		virtual PIXELFORMAT	GetPixelFormat()const { return Format; }
		virtual mstring GetID() const { return ID; }

		mstring	ID;
		SIZE2DI	Size;
		PIXELFORMAT Format;
	};
}

#endif
